<!DOCTYPE html>
<html lang="en">
<head>
  <title>Task63.10</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

  <script>
    $(document).ready(function(){
        var vTable = $('#user-table').DataTable({
            ajax: {
                url: 'http://localhost:8080/api/vouchers',
                dataSrc: ''
            },
            "columns":[
                {data:"id"},
                {data:"maVoucher"},
                {data:"phanTramGiamGia"},
                {data:"ghiChu"},
                {data:"ngayTao"},
                {data:"ngayCapNhat"},
            ]  
        })
      //gọi api lây danh sách vouchers
        // $.ajax({
        //     url: "http://localhost:8080/api/vouchers",
        //     type: "GET",
        //     dataType: 'json',
        //     async: false,
        //     success: function(responseObject){
        //         console.log(responseObject);
        //         vTable.clear();
        //         vTable.rows.add(responseObject);
        //         vTable.draw;
        //     },
        //     error: function(error){
        //         console.log(error.responseText);
        //     }
        // });

      
    });
  </script>
</head>
<body>

<!-- <div class="container">
  <div class="jumbotron">
    <div class="form-group">
      <div class="row ">
        <div class="col-sm-5 text-right">
          <label><strong> Tỉnh thành phố</strong></label>
        </div>
        <div class="col-sm-7">
          <select  class="form-control" id="select-province">
            <option value="0">Tỉnh thành phố</option>
          </select>
        </div>
      </div>
      <div class="row pt-3">
        <div class="col-sm-5 text-right">
          <label><strong> Quận huyện</strong></label>
        </div>
        <div class="col-sm-7">
          <select  class="form-control" id="select-district">
            <option value="0">Quận huyện</option>
          </select>
        </div>
      </div>
      <div class="row pt-3">
        <div class="col-sm-5 text-right">
          <label><strong> Phường xã</strong></label>
        </div>
        <div class="col-sm-7">
          <select  class="form-control" id="select-ward">
            <option value="0">Phường xã</option>
          </select>
        </div>
      </div>
    </div>
  </div>
</div> -->

<div class="table-responsive">
    <table id="user-table" class="table table-bordered">
        <thead>
            <tr>
                <th>ID</th>
                <th>Mã voucher</th>
                <th>Phần trăm giảm giá</th>
                <th>Ghi chú</th>
                <th>Ngày tạo</th>
                <th>Ngày cập nhật</th>
            </tr>
        </thead>
    </table>
</div>

</body>
</html>